Add candidate Language skills
curl --request POST \
--url https://api.hyrd.de/gin/v1/company/candidate/language \
--header 'Content-Type: application/json' \
--data '
{
"user_slug": "39c12359-7eaf-407d-9be7-97f522a1e7f2",
"language_id": 2,
"language_level_id": 2
}
'import requests
url = "https://api.hyrd.de/gin/v1/company/candidate/language"
payload = {
"user_slug": "39c12359-7eaf-407d-9be7-97f522a1e7f2",
"language_id": 2,
"language_level_id": 2
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
user_slug: '39c12359-7eaf-407d-9be7-97f522a1e7f2',
language_id: 2,
language_level_id: 2
})
};
fetch('https://api.hyrd.de/gin/v1/company/candidate/language', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Company > Candidate
Add candidate Language skills
Create Company Candidate IT Skill
This endpoint allows the addition of a new IT skill for a candidate within a company.
Request Body
-
user_slug(string): The unique identifier of the user. -
skill_name(string): The name of the IT skill. -
skill_level_id(integer): The level of proficiency in the IT skill (1 - 4).
Response
The response is in JSON format with the following schema:
{
"message": "string"
"status": "integer"
}
-
message(string): A message related to the request. -
status(integer): The status of the request.
Example:
{
"message": "Candidate job input successfully",
"status": 201
}
POST
/
gin
/
v1
/
company
/
candidate
/
language
Add candidate Language skills
Headers
Body
application/json
The body is of type object.
Response
200 - application/json
Successful response
⌘I